Bug 178406 - subpackage texi2dvi to avoid texinfo requiring tetex
subpackage texi2dvi to avoid texinfo requiring tetex
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Ben Levenson
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 03:18 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.8-11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 10:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-01-20 03:18:07 EST
Description of problem:
texinfo requires tetex which is rather a large package.
Most people only need makeinfo from texinfo, so would it be possible
to separate texi2dvi to a separate subpackage (texi2dvi?) so that
installing makeinfo would not installing the whole of tetex?
Comment 1 Miloslav Trmač 2006-01-20 10:06:23 EST
Unfortunately there's AFAIK no clean way to split a package and make sure both
parts are installed after an upgrade.  Considering that the "average developer"
(I know...) will need tetex at least for docbook-utils/xmlto, I don't think it is
worth the trouble.
Comment 2 Quentin Spencer 2006-02-23 12:56:09 EST
I was just going to file a bug with the same request when I found this. Let me
just give an example of where splitting this would help. All of the online help
in octave is texinfo formatted and so octave requires makeinfo. This means that
to install octave, you must install tetex, which means tetex-fonts as well. The
rpms for octave and a few library dependencies are a total of 10-20 MB (I don't
remember the total). The rpms for tetex and tetex-fonts are a total of 42 MB,
more than twice the size of everything else to be installed.
Comment 3 Miloslav Trmač 2006-02-27 11:00:03 EST
Fair point, let's do it for FC6.
Comment 4 Miloslav Trmač 2006-03-28 15:50:17 EST
Fixed in rawhide texinfo-4.8-11.  Thanks for your report.
Comment 5 Jose Pedro Oliveira 2006-05-31 18:44:26 EDT
Re-opening bug to request FC-4 and FC-5 package update.

The package splitting broke at least one build requirement list of a Fedora  
Extras package that I maintain.  The package in question - asymptote -requires
the file texi2dvi to create the main pdf doc file. 

In order to avoid having different specfiles for the FC-4/FC-5, and devel (FC-6)
branches I would like to request an update of the FC-4 and FC-5 texinfo package
that would also provide the texinfo-tex package (Provides: texinfo-tex).

Thanks in advance,
jpo

PS - I know I could build require the file /usr/bin/texi2dvi but upstream just
warned yesterday that it needs a particular version of the above file to
successfully build the pdf file.
Comment 6 Miloslav Trmač 2006-05-31 19:08:05 EDT
Changing the package list within a release can break kickstarts or make tested
and documented processes invalid.  I don't think inconveniencing all our users
to make single developer's task somewhat easier is worth it.
Comment 7 Jose Pedro Oliveira 2006-05-31 19:28:40 EDT
(In reply to comment #6)
> Changing the package list within a release can break kickstarts or make tested
> and documented processes invalid. 

I have not requested the splitting of the FC-4 and FC-5 texinfo package, I only
suggested the addition of a provides statement to the FC-4 and FC-5 packages
specfiles.  AFAICT that will not change the FC-4/FC-5 package list.
Comment 8 Miloslav Trmač 2006-05-31 19:30:43 EDT
I'm sorry, I wasn't paying enough attention.  Adding a provides: is reasonable.
Comment 9 Fedora Update System 2006-06-01 10:26:48 EDT
texinfo-4.8-9.2.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 10 Miloslav Trmač 2006-06-01 10:57:37 EDT
Both packages should be pushed now.
Comment 11 Jose Pedro Oliveira 2006-06-01 14:23:10 EDT
Thanks for the FC-4 and FC-5 updates.

Note You need to log in before you can comment on or make changes to this bug.